/****************************************************************************************

		InterfaceIDs.h

		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Ray Dream
		Date:	3/2/98

		Revision History

		when		who			what & why
		==========	==========	======================================================
		11/9/99		cph			removed I3DExInfinitePrimitive R_IID; commented CObejct
		10/28/99	Guillaume	Changed Family IDs for importer/Exporter
		09/09/99	Guillaume	Changed the name of I3DExMotionLink to I3DExConstraint
		08/31/99	cph			changed final renderer ID from rend to frnd
		08/25/99	cph			added family ids!
		01/21/99	dsm			renamed file and added include
		12/01/98	EricG		added GUID for the pick renderer
		9/29/98		Joshua		Change to Modifier system

*****************************************************************************************/

#include "COMInterfaceIDs.h"


//****** Family Ids *************************************************

#define kRID_AmbientLightFamilyID			'ambi'
#define kRID_AnimationMethodFamilyID		'amet'
#define kRID_AtmosphericShaderFamilyID		'atmo'
#define kRID_BackdropFamilyID				'drop'
#define kRID_BackgroundFamilyID				'back'
#define kRID_CameraFamilyID					'came'
#define kRID_DataComponentFamilyID			'data'
#define kRID_EdgeBuilderFamilyID			'edgB'
#define kRID_ExportFilterFamilyID			'3Dou'
#define kRID_FinalRendererFamilyID			'frnd'
#define kRID_GeometricPrimitiveFamilyID		'prim'
#define kRID_ImportFilterFamilyID			'3Din'
#define kRID_LightsourceFamilyID			'lite'
#define kRID_LightsourceGelFamilyID			'gel '
#define kRID_ModifierFamilyID				'modi'
#define kRID_ModuleFamilyID					'modu'
#define kRID_ConstraintFamilyID				'link'
#define kRID_PostRendererFamilyID			'post'
#define kRID_ReflectionFeatureFamilyID		'fleF'
#define kRID_RefractionFeatureFamilyID		'fraF'
#define kRID_SceneCommandFamilyID			'scmd'
#define kRID_ShaderFamilyID					'shdr'
#define kRID_ShadowFeatureFamilyID			'shdF'
#define kRID_TweenerFamilyID				'twee'
#define kRID_GenericDatasFamilyID			'GenD'
#define kRID_SceneModifierID				'smod'
#define kRID_TerrainFilterFamilyID			'tfil'
#define kRID_VolumetricCloudsShapeFamilyID	'cSha'
#define kRID_SoundFamilyID					'soun'
#define kRID_PhysicsSolverFamilyID			'solv'
#define kRID_AttributesSetControlerFamilyID	'atsc'
#define kRID_PhysicsEngineFamilyID			'phys'
#define kRID_ClipFamilyID					'clip'
#define kRID_SelectableDataComponentFamilyID	'sdat'
#define kRID_SkinningAlgorithmComponentFamilyID	'skin'


//****** Interface GUIDs *************************************************

// R_IID_CObject is not to be used for new interfaces, will be obsolete; 
// instead define an R_IID for your interface and use that with MCDEFINE_GUID2 
#define R_IID_CObject					0x9988,0x11cf,0x8b,0x99,0x00,0x20,0xaf,0x11,0x47,0x85 

#define R_IID_I3DExAmbientLight			0x9D2399C2,0x3A02,0x101C,0x88, 0x5F, 0x04, 0x02, 0x1c, 0x00, 0x70, 0x02
#define R_IID_I3DExAnimationMethod		0x4392fd10, 0x169e, 0x11d2, 0xab, 0x39, 0x00, 0x60, 0x08, 0x15, 0xad, 0x45
#define R_IID_I3DExAtmosphericShader	0x99FF7660,0x3A02,0x101C,0x88, 0x5F, 0x04, 0x02, 0x1c, 0x00, 0x70, 0x02
#define R_IID_I3DExBackdrop				0x9D2399C1,0x3A02,0x101C,0x88, 0x5F, 0x04, 0x02, 0x1c, 0x00, 0x70, 0x02
#define R_IID_I3DExBackdrop2			0x8ed08d6d,0x9409,0x4f1e,0x8d, 0xae, 0xf2, 0x79, 0x57, 0x4c, 0xc9, 0xd1
#define R_IID_I3DExBackground			0x9D2399C0,0x3A02,0x101C,0x88, 0x5F, 0x04, 0x02, 0x1c, 0x00, 0x70, 0x02
#define R_IID_I3DExCamera				0x9F338E00,0x3A02,0x101C,0x88, 0x5F, 0x04, 0x02, 0x1c, 0x00, 0x70, 0x02
#define R_IID_I3DExDataComponent		0x817684A9,0x8B35,0x11D0,0xA5, 0x4A, 0x00, 0xAA, 0x00, 0xA3, 0x63, 0x75
#define R_IID_I3DExDeformationZone		0x58dbaa82, 0x7ae3, 0x11d2, 0xae, 0x85, 0x00, 0xaa, 0x00, 0xd3, 0x07, 0xeb
#define R_IID_I3DExEdgeBuilder			0x22fa8420, 0xa1f4, 0x11d3, 0xb6, 0x7b, 0x00, 0x60, 0x97, 0x3d, 0x52, 0x67
#define R_IID_I3DExExportFilter			0xA75AF500,0x3A02,0x101C,0x88, 0x5F, 0x04, 0x02, 0x1C, 0x00, 0x70, 0x02
#define R_IID_I3DExFinalRenderer		0xAD619EE0, 0x3A02, 0x101C, 0x88, 0x5F, 0x04, 0x02, 0x1C, 0x00, 0x70, 0x02
#define R_IID_I3DExGeometricPrimitive	0xAB40E1C0,0x3A02,0x101C,0x88, 0x5F, 0x04, 0x02, 0x1c, 0x00, 0x70, 0x02
#define R_IID_I3DExRaytracer			0x817684AA,0x8B35,0x11D0,0xA5, 0x4A, 0x00, 0xAA, 0x00, 0xA3, 0x63, 0x75
#define R_IID_I3DExImportFilter			0xA58E2440,0x3A02,0x101C,0x88, 0x5F, 0x04, 0x02, 0x1C, 0x00, 0x70, 0x02
#define R_IID_I3DExInteractiveRenderer	0xAD619EE3, 0x3A02, 0x101C, 0x88, 0x5F, 0x04, 0x02, 0x1C, 0x00, 0x70, 0x02
#define R_IID_I3DExLightsource			0xA930ED80, 0x3A02, 0x101C, 0x88, 0x5F, 0x04, 0x02, 0x1c, 0x00, 0x70, 0x02
#define R_IID_I3DExLightsourceGel		0xA1098680,0x3A02,0x101C,0x88, 0x5F, 0x04, 0x02, 0x1c, 0x00, 0x70, 0x02
#define R_IID_I3DExModifier				0x2706cd40,0x54a8,0x11d2,0x88, 0x4c, 0x00, 0x60, 0x97, 0x14, 0x85, 0x21
#define R_IID_I3DExModule				0x45bfb0a0, 0xba0f, 0x11cf, 0x99, 0x09, 0x00, 0x40, 0x05, 0x22, 0xbf, 0xcc
#define R_IID_I3DExConstraint			0x5C9601A0,0x7CC3,0x101C,0x88, 0x5F, 0x04, 0x02, 0x1c, 0x00, 0x70, 0x02
#define R_IID_I3DExNewConstraint		0x2bb336d4, 0x80a, 0x43ff, 0xbc, 0xba, 0x9, 0x57, 0x75, 0xad, 0x3a, 0x0
#define R_IID_I3DExPickRenderer			0x1615b560, 0x890c, 0x11d2, 0xa6, 0x74, 0xd2, 0xf4, 0xc6, 0x4c, 0xae, 0x3f
#define R_IID_I3DExPostRenderer			0xf62a58a0, 0xf76d, 0x11cf, 0x9a, 0x2c, 0x00, 0x20, 0xaf, 0x28, 0x19, 0x3a
#define R_IID_I3DExReflectionFeature	0x817684A7,0x8B35,0x11D0,0xA5, 0x4A, 0x00, 0xAA, 0x00, 0xA3, 0x63, 0x75
#define R_IID_I3DExRefractionFeature	0x817684A8,0x8B35,0x11D0,0xA5, 0x4A, 0x00, 0xAA, 0x00, 0xA3, 0x63, 0x75
#define R_IID_I3DExSceneCommand			0x1705bf26,0x0ad8,0x11cf,0xa4, 0xf7, 0x00, 0x00, 0xe2, 0x02, 0xd5, 0xa5
#define R_IID_I3DExShader				0x06DD2161,0x2ED7,0x101C,0x88, 0x5F, 0x04, 0x02, 0x1c, 0x00, 0x70, 0x02
#define R_IID_I3DExShadowFeature		0x817684A6,0x8B35,0x11D0,0xA5, 0x4A, 0x00, 0xAA, 0x00, 0xA3, 0x63, 0x75
#define R_IID_I3DExTweener				0x5C9601A3,0x7CC3,0x101C,0x88, 0x5F, 0x04, 0x02, 0x1c, 0x00, 0x70, 0x02
#define R_IID_I3DRenderHelper			0xf318144e,0x6bd0,0x11d3,0xb7, 0x29, 0x00, 0x50, 0x04, 0x6f, 0xfd, 0x0a
#define R_IID_I3DExAutoTest				0x9d8511bd,0x7cc0,0x4f37,0xbb, 0x8d, 0xcb, 0xf7, 0x40, 0x75, 0x8f, 0x04
#define R_IID_I3DExRendererBox			0x2c303c70,0x791c,0x42e9,0x81, 0x4b, 0x10, 0x5d, 0xd1, 0xf8, 0xa7, 0x55
#define R_IID_I3DExGenericData			0x4e2f571d, 0xaf7c, 0x4d78, 0x9d, 0xea, 0x13, 0x13, 0x9f, 0x9, 0x97, 0x99
#define R_IID_I3DExTimeDependentPrimitive 0xd602f176, 0x3707, 0x44f7, 0xa0, 0xb8, 0x8f, 0xb4, 0xa1, 0x1d, 0xa6, 0x2b
#define R_IID_I3DExVertexPrimitive		0x6dcbfea1, 0x398a, 0x11d0, 0x88, 0xfe, 0x0, 0xaa, 0x0, 0xc2, 0x96, 0x22
#define R_IID_I3DExVertex				0x9eb339c0, 0xdf3d, 0x11d1, 0xb0, 0x17, 0x44, 0x45, 0x53, 0x54, 0x0, 0x0
#define R_IID_I3DExVolumetricEffect		0x2b6de32b, 0x1614, 0x4bb4, 0xab, 0x9c, 0xc2, 0xee, 0xa3, 0x8e, 0x14, 0xb2
#define R_IID_I3DExTerrainFilter		0xdc2205c4, 0xad77, 0x4cfb, 0x9d, 0x87, 0x88, 0x3e, 0xda, 0x7c, 0xd7, 0x3b
#define R_IID_I3DExVolumetricCloudsShape  0x3e3983bc, 0x86f7, 0x401a, 0x9e, 0x9b, 0x39, 0x57, 0xfc, 0xdb, 0x9a, 0xd7
#define R_IID_I3DExRemoteCommand		0x25bf4c3b, 0x17d7, 0x4b1c, 0x8a, 0xf0, 0xe4, 0x99, 0xec, 0x33, 0x33, 0x25
#define R_IID_I3DExMiniModeler			0x72f44219, 0x3b79, 0x409f, 0x87, 0x1f, 0xcc, 0x31, 0x5f, 0x6f, 0x2d, 0xa2
#define R_IID_I3DExShaderTransform		0x7450b1c1, 0xf833, 0x45fe, 0x81, 0xb, 0xc3, 0xcc, 0xe, 0x23, 0x8a, 0x35
#define R_IID_I3DExNetworkRenderer		0xc9706481, 0x7344, 0x4c2d, 0x9c, 0xf3, 0x8e, 0xbf, 0x33, 0x27, 0x97, 0xca
#define R_IID_I3DRenderHelperLowLevel	0xf9087b31, 0xfc1d, 0x4e8a, 0x87, 0xff, 0xb, 0x28, 0x60, 0x17, 0xe9, 0x30
#define R_IID_I3DExNetworkExtension		0x15112559, 0x37b6, 0x4f17, 0x86, 0x62, 0x18, 0xb2, 0x93, 0xc5, 0x9e, 0x7d
#define R_IID_I3DExOBJImporterLowLevel	0xbb76cde9, 0x8525, 0x4f3f, 0xa1, 0x43, 0x8e, 0xad, 0x66, 0x91, 0xaf, 0x7f
#define R_IID_I3DExNetworkRenderer2     0x52dc1259, 0xa802, 0x4044, 0x91, 0xda, 0xdb, 0x96, 0xee, 0xdf, 0xfe, 0xe
#define R_IID_I3DExFigurePrimitive		0x78d7cac0, 0xa74d, 0x4395, 0xaa, 0xa6, 0x90, 0x79, 0x8f, 0xfa, 0x53, 0xb4
#define R_IID_I3DExPhysicsSolver		0x36ac457e, 0x6043, 0x4843, 0x9e, 0x67, 0xea, 0xd9, 0xc0, 0xff, 0x1c, 0x1
#define R_IID_I3DExAttributesSetControler	0xde28de92, 0x6850, 0x4b99, 0x8c, 0x1d, 0x2f, 0xad, 0x38, 0x25, 0xc, 0xa9
#define R_IID_I3DExPhysicsEngine		0x8e376d08, 0x4a64, 0x4669, 0xbc, 0x93, 0x0, 0xab, 0xb5, 0xa9, 0x61, 0x73
#define R_IID_I3DShPhysicsEngine		0xf9fcdddb, 0xaab5, 0x40e0, 0xa9, 0x5f, 0xb, 0xa, 0xa9, 0xb6, 0x78, 0x9c
#define R_IID_I3DExClip					0x6fc489a1, 0x1564, 0x4482, 0x94, 0x9b, 0x51, 0xb8, 0x31, 0xfe, 0xde, 0xc
#define R_IID_I3DExSelectableObject		0x29a9575, 0xc9d7, 0x4055, 0x90, 0x0, 0x1, 0x49, 0xfd, 0x32, 0xab, 0xf8
#define RIID_I3DFigureConformer			0x28cb203d, 0x9df1, 0x4e31, 0xa3, 0xf7, 0xaf, 0xf6, 0xa2, 0xd, 0xf7, 0x88
#define R_IID_I3DExSkinningAlgorithm	0xcfc8d45, 0x3115, 0x468c, 0xb5, 0xe4, 0xa6, 0xed, 0x34, 0x83, 0x92, 0xa1
#define R_IID_I3DExPoserSkinningAlgorithm	0x79ef8ad0, 0x29d1, 0x4f3a, 0xa2, 0xea, 0xf0, 0xb0, 0x33, 0x3b, 0x5, 0x3d
#define R_IID_IActorDataComponent		0xa29d76ea, 0x48c9, 0x4d4d, 0xaa, 0x4d, 0x59, 0x7f, 0xd5, 0x5f, 0xa2, 0x5b
#define R_IID_IFigureDataComponent		0x54e083fc, 0xa45d, 0x407e, 0xb3, 0xb0, 0xa8, 0xb1, 0x5, 0x23, 0x7b, 0xe9
#define R_IID_ISphereZoneProp			0x1db65882, 0x8556, 0x41c9, 0x95, 0xf, 0x6b, 0xe8, 0x87, 0xb4, 0xd4, 0x7c
#define R_IID_IPoseClip					0xa5752d2c, 0x3a3a, 0x420d, 0x91, 0x32, 0x7f, 0xdf, 0xb4, 0x36, 0x74, 0xf3
#define R_IID_I3DExRenderNodesInformationManager 0x856c3d02, 0x76c5, 0x4da6, 0xba, 0xf4, 0x26, 0x6a, 0x85, 0x55, 0xbc, 0xb1

